تثبيت اكسبوسد (Xposed) على أندرويد

الكاتب:المثنى عبدات

بسم الله الرحمن الرحيم

ملاحضات :

  • الموقع لا يتحمل أي أضرار ناتجة
  • قبل متابعة الشرح لابد أن يحتوي جهازك على روت وريكوفري معدل
  • حتى تبقى آمنا قم بعمل نسخة احتياطية كاملة للنظام وللبيانات أدوات اكسبوسد (Xposed) تحتاج صلاحيات روت وغالبا تعديل على النظام وعليه الخطأ قد يكلفك إعادة تثبيت النظام بالكامل
  • الطريقة مجربة على ون بلس ون ، ون بلس ٢ ، نكسس ٥ ، نكسس 6p (بقية الأجهزة خصوصا سامسونج لم أقم بالتجربة ولست مسؤول عن أي أضرار ناتجة ولا أنصحك بالتجربة خصوصا على سامسونج )
  • الطريقة تعمل على كتكات ، لولي بوب ، مارشميلو
  • أخر إصدار نهائي كان لتحديث الكتكات ، وكل الإصدارات الحديثة تحتاج تنصيب من الريكوفري المعدل

مقدمة :

  • في هذا الموضوع سنتحدث عن ماهو اكسبوسد(Xposed) ؟
  • هل نحتاج تثبيته ؟
  • ماهي طريقة تثبيت اكسبوسد (xposed) ؟
  • ماهي طريقة إلغاء تثبيت اكسبوسد (xposed) ؟

 

ماهو اكسبوسد(Xposed) ؟

بحر من الأدوات والفكرة من المطور في  rovo98 XDA , تسمح للمطوريين للتعديل على النظام والبرامج و التحكم بكامل الجهاز تقريبا ، دون الحاجة لتثبيت روم معدل و الجميل بالموضوع أن الأدوات تقوم بالتعديل على البرنامج والنظام دون تغيير الكود الأصلي للتطبيق

مثلا تطبيق إنستغرام بإمكانك إضافة التحميل وتكبير الصورة إذا لم تعجبك تحذف الأداة دون الحاجة لتغيير البرنامج بالكامل وهكذا بقية الأدوات

 

هل نحتاج تثبيته ؟

تثبيت أدوات إكسبوسد لايعني أنك محترف والعكس لايعني أنك جاهل

يختلف الأمر من مستخدم لآخر ، أنا أحب التعديل على جهازي و أنت قد لا تحب

ماهي طريقة تثبيت اكسبوسد (xposed) ؟

تختلف الطريقة من جهاز لآخر وكذالك من تحديث لتحديث

١- تحتاج معرفة عتاد هاتفك من Hrdware info  أو من Droid Hardware Info

ملفات قم بتثبيتها من الريكوفري المعدل

٢- إذا كان تحديثك كتكات قم بتحميل برنامج إكسبوسد انستولر ( Xposed)  مثل أي برنامج لا تحتاج تنصيبها من الريكوفري المطور

٣- إذا كان تحديثك لولي بوي 5.0 النسخة المتوافقة  هي SDK21

٤- إذا كان تحديثك لولي بوب  5.1 النسخة المتوافقة  هي SDK22

5- إذا كان تحديثك 6.0  النسخة المتوافقة هي SDK23

وبعد الدخول للمجلد ستجد ثلاث مجلدات

١- ARM  : هي أجهزة ٣٢ بت وغالبا الأجهزة القديمه أو الحديثة المتوسطة

٢-ARM64 : هي أجهزة ٦٤ بت وغالبا الأجهزة الحديثة بمواصفات قوية

٣- X86 :    أيضا هي أجهزة ٣٢ بت

والأفضل أن تسخدم البرامج بالأعلى لتحديد نوع المعالج الخاص بهاتفك وبالتالي تقوم بتثبيت النسخة المتوافقة

إذا كان جهازك لولي بوب 5.0،5,1  أو مارشميلوا 6.0 ، 6.0.1  بعد تثبيت المفات من الريكوفري بالخطوات السابقة قم بتثبيت برنامج إكسبوسد انستولر ( Xposed) 

 

ماهي طريقة إلغاء تثبيت اكسبوسد (xposed) ؟

قم بتثبيت هذا الملف من الريكوفري (ملاحظة يختلف الملف من ARM,X85,ARM64)

 

الشرح فيديو :

المصدر :

المصدر الأول هنا

المصدر الثاني هنا

Advertisements

عن المثنى عبدات

جييك | يوتيبر بين الأسى والأنس أهذب النفس الظروف تغلبني وأغلبها ، وعليه عبد الرد لا يعني عدم الإحترام أبذل كل ما بوسعي لأتعلم وأعلم أنني لا أعلم

22 تعليق

  1. تركي الحربي

    ثبته على nexus6p نسخة ٦٤بت وفتحت التطبيق يقول اكسبوزد لايدعم ٦٤ حتى الان

  2. جزاكم الله خير

  3. السلام عليكم
    عادي اتبت xposed على روم سيانوجين ؟ جهازي ون بلس ون
    قريت انه في خطر على جهاز اذا تبته على روم سيانوجين

  4. عملت جميع الخطوات وتم التثبيت ولكن عندما ادخل خيار framework من نفس اكسبوسيد اجد كلام مكتوب بالخط الاحمر :

    xposed is not (yet) compatible with android sdk version 22 or your procssor architectrue (armeabi-v7a).

    ارجو المساعدة ..

  5. جهازي جالكسي اس5
    النظام 6.0.1 مارشملو
    المعالج يقلي ARMv7l
    لما ادخل الموقع احصل ثلاث انواع للمعالجات arm,arm64,x86
    لايوجد ARMv7l حملت اخر نسخه من الفايرورك المخصص لمعالجات arm ولاكن بعد التثبيت الجهاز يبطل يشتغل لغيت البرنامج وشغلت الجهاز لاكن مو قادر اشغل البرنامج لعدم فهمي فالمعالج المطلوب
    اتمنى تساعدني

  6. لو سمحت. انا كان عندي روت. بس لانه مشكلة السناب شات ما يفتح. قررت أحذف الروت عن طريق super su . لكن مشكلة السناب شات لم تعمل . والآن أريد ارجع للروت. هل يعني ذلك أن الروت انحذف أول بالكامل واقدر ارجعه بطريقه مختصره وسهله . أم عليا أتباع خطوات تثبيت الروت والريكفري وشغل لابتوب وتوصيل الجوال والشغلات ذيك الصعبه؟

    • المعذرة على التأخير تحتاج تثبيت الروت من جديد
      الريكوفري المطور بيكون موجود ما انحذف حمل SU المتوافق مع جهازك ونصبه من الريكوفري المطور

      وللمعلومية مشكلة السناب مع اكسبوسد

  7. حاولت كتير مع HTC one m7 و مش بيشتغل حد عنده حلول ؟

  8. جهازي A300H اصدار 5.0.2 الروم الرسمي هل يتوافق معه اصدارات الاكسبوسد اللي منزلها

  9. جهازي A300H اصدار 5.0.2 لولي بوب الروم الرسمي ينفع اركبله اكسبوسد وهل هناك اصدار موافق له